TAAS - Feature #108

Billing Tax Equation
12/02/2022 01:35 PM - Anil KV

Status: Reopen Bugs Testing Done Start date: 12/03/2022
Priority: Normal Due date:

Assignee: Vivekp V % Done: 90%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: unnikannan S
Time Taken(HH): Code Reviewed By:

Module: Billing Tax Equation

Description

Coding Billing Tax Equation

History

#1 - 12/02/2022 01:35 PM - Anil KV
- Status changed from New to Open

- % Done changed from 0 to 10

#2 - 12/07/2022 09:30 AM - Muhasin PU

- Status changed from Open to Coding Started

- Start date changed from 12/02/2022 to 12/03/2022
- % Done changed from 10 to 40

#3 - 12/13/2022 09:48 AM - Muhasin PU
- Status changed from Coding Started to Particialy Coding Done

Context menu on grid is remaining.

#4 - 12/16/2022 09:40 AM - Muhasin PU
- Status changed from Particialy Coding Done to Coding Done
- % Done changed from 40 to 60

#5 - 01/10/2023 04:17 PM - Junaid M
- Status changed from Coding Done to Reopen Bugs

- % Done changed from 60 to 50

1) Billing Tax Egn not generating.

#6 - 01/11/2023 04:50 PM - Muhasin PU
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

#7 - 05/13/2023 05:32 PM - Amal Cyriac
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUND *****

1.Prevent duplication while create billing tax
(from Billing tax module)

2.GUI crashing while save/update

(if Tax amount/Percentage columns are empty)
3.Fix bugs on Tax amount/Percentage columns edit mode
(cant change amounts -set proper validation)

#8 - 05/24/2023 03:37 PM - Muhasin PU
- Status changed from Reopen Bugs to Particialy Coding Done
- % Done changed from 50 to 40

FIXED

#9 - 05/27/2023 05:06 PM - Muhasin PU

- Status changed from Particialy Coding Done to Reopen Bugs Coding Done

- % Done changed from 40 to 60

#10 - 05/30/2023 06:26 PM - Amal Cyriac

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By set to Amal Cyriac

ISSUE FOUND *****

1.Prevent duplication -

(When Create new items on billing tax module)
2.Cant edit/ update billing tax equation

#11 - 05/31/2023 02:59 PM - Muhasin PU
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 60

FIXED.

#12 - 07/03/2023 05:52 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 60 to 50

- Tested By changed from Amal Cyriac to unnikannan S

ISSUE FOUNDED
1.GRID ICONS NOT WORKING

#13 - 07/03/2023 05:56 PM - unnikannan S
- Assignee changed from Muhasin PU to Junaid M

#14 - 01/13/2024 02:23 PM - Anil KV

Billing Tax Equation
1) Showing Active status or Equation Date < Block/Close Date

#15 - 02/26/2024 05:18 PM - Junaid M
- Assignee changed from Junaid M to Vivekp V

#16 - 02/27/2024 09:48 AM - Junaid M

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- Assignee changed from Vivekp V to Junaid M

- % Done changed from 50 to 70

#17 - 03/21/2024 04:22 PM - unnikannan S
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50
ISSUE FOUNDED
1.CLEAR NEW BUTTON IN Ul ADD RESET BUTTON

#18 - 04/02/2024 04:23 PM - Junaid M
- Assignee changed from Junaid M to Vivekp V

#19 - 04/02/2024 05:55 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

ISSUE FIXED

1.CLEAR NEW BUTTON IN Ul ADD RESET BUTTON

#20 - 04/04/2024 01:13 PM - unnikannan S

- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUNDED

1.MISSING PRECISION FROM TAX AMOUNT AND PERCENTAGE
#21 - 04/05/2024 12:48 PM - Vivekp V

- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

ISSUE FIXED

1.MISSING PRECISION FROM TAX AMOUNT AND PERCENTAGE

#22 - 04/05/2024 06:14 PM - unnikannan S
TESTING DONE

#23 - 08/03/2024 10:07 AM - Junaid M
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

* ISSUE

1. While updating equation %. In Db multiple row is inserted, causing duplication.

#24 - 08/09/2024 10:42 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

ISSUE FIXED

1. While updating equation %. In Db multiple row is inserted, causing duplication.

#25 - 12/17/2024 12:25 PM - Theja Ponon
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done
- % Done changed from 70 to 90

#26 - 12/28/2024 10:44 AM - Theja Ponon
- Status changed from Reopen Bugs Testing Done to Reopen Bugs

- % Done changed from 90 to 50
ISSUE FOUND

1)WITHOUT PRESSING OK CAN SET THE BILLING TAX EQUATION
2)RESET PRESSING WILL EMPTY THE GRID

#27 - 12/31/2024 09:22 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#28 - 01/01/2025 06:07 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs

- % Done changed from 70 to 50

ISSUE FOUND

1. The format/grouping not changing when 'B2B And B2C Separate Equation' checkbox is ticked on edit mode. needs to be blocked from billing tax if
created and used in equation no changes must be done to billing tax
2. Add an Of as the column heading. done

Steps to reproduce

1. Create a billing tax for INPUT/OUTPUT VAT for both international and domestic region with 'B2B And B2C Separate Equation' checkbox ticked.
2. Then go to billing tax equation for to see the correct format on how to group B2B and B2C based on region and billing tax.

3. Then untick the 'B2B And B2C Separate Equation' checkbox in billing tax module--> check billing tax equation module.

4. Then again update the billing tax with 'B2B And B2C Separate Equation' checkbox ticked. --> this time the grouping in billing tax equation won't
change.

#29 - 02/03/2025 02:34 PM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#30 - 02/11/2025 05:39 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

ISSUE FIXED

1. Check the date format. unable to reproduce
2. In the based on can enter random string of alphabets. fixed
New changes Done

2. Add a drop down with current date and after clicking ok if any other date with billing tax equation is present show that dates in the drop down.

#31 - 02/19/2025 10:31 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done
- % Done changed from 50 to 70

#32 - 02/19/2025 04:59 PM - Arathy PS

- File clipboard-202502191659-1prka.png added

- Status changed from Reopen Bugs Coding Done to Reopen Bugs
- % Done changed from 70 to 50

#33 - 02/20/2025 12:36 PM - Arathy PS
- File clipboard-202502201236-zcuun.png added

ISSUE FIXED

1. Can save without entering percentage with equation only.
2. Can save without equation with percentage only.
Travvise Billing Tax Equation

e BILLING TAX EQUATION has been Saved

Effective From™

& 0K

Billing Tax Equation T @ X 2 O

Tax Details Tax Amount Percentage of Equation

]

BTOD1 :: VAT_OUTPUT

~  REGO01: Domestic

VAT_OUTPUT 0.00 1500 of {{CUSTOMER_AMOUNT(NO_CUSTOMER_TAX)}} s

‘

REG00Z:: International

VAT_OUTPUT 0.00 15.00 of {{SERVICE_FEE}} s

‘

BT002 :: VAT_INPUT
~  REGOO1: Domestic

VAT INPUT 000 15.00 of {{SUPPLIER AMOUNT(NG_SUPPLIER_TAX)}} s

-

REGD02:: International

VAT_INPUT 0.00 1500 of {{SUPPLIER_FEE}} s

4

BT0D3 :: VAT_OUTPUT_REFUND

REGUOTT DO

VAT_OUTPUT_REFUND 0.00 1500 of s

VAT_OUTPUT_REFUND 0.00 1500 of {AGENCY_REFUND_CHARGE})} s

3. Add a title to the date label : All equation defined dates.
4. While trying to save an equation

Travvise Billing Tax Equation

Invalid equation: "{{CUSTOMER_AMQUNT(NQ_CUSTOMER _TAX)}". Invalid token: "{{CUSTOMER_AMQUNT", X

Effective From®  20/02/2025 20/02/2025 ~ & oK

Billing Tax Equation YT a 2 @
Tax Details Tax Amount Percentage of Equation

~  BT001: VAT QUTPUT

#34 - 02/21/2025 10:58 AM - Vivekp V
- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#35 - 03/18/2025 02:10 PM - Arathy PS
- Status changed from Reopen Bugs Coding Done to Reopen Bugs Testing Done

- % Done changed from 70 to 90

Files
clipboard-202502191659-1prka.png 115 KB 02/19/2025 Arathy PS
clipboard-202502201236-zcuun.png 68.3 KB 02/20/2025 Arathy PS

05/04/2025 5/5


http://www.tcpdf.org

